org.apache.fop.fonts

## Class FontUtil

- java.lang.Object
- - org.apache.fop.fonts.FontUtil

    public final class FontUtil
    extends Object

Font utilities.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `guessStyle(String fontName)` Guesses the font style of a font using its name.
`static int` `guessWeight(String fontName)` Guesses the font weight of a font using its name.
`static int` `parseCSS2FontWeight(String text)` Parses an CSS2 (SVG and XSL-FO) font weight (normal, bold, 100-900) to an integer.
`static String` `stripWhiteSpace(String str)` Removes all white space from a string (used primarily for font names)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parseCSS2FontWeight

    public static int parseCSS2FontWeight(String text)

Parses an CSS2 (SVG and XSL-FO) font weight (normal, bold, 100-900) to an integer. See http://www.w3.org/TR/REC-CSS2/fonts.html#propdef-font-weight TODO: Implement "lighter" and "bolder".

Parameters:
  `text` - the font weight to parse
Returns:
  an integer between 100 and 900 (100, 200, 300...)

#### stripWhiteSpace

    public static String stripWhiteSpace(String str)

Removes all white space from a string (used primarily for font names)

Parameters:
  `str` - the string
Returns:
  the processed result

#### guessStyle

    public static String guessStyle(String fontName)

Guesses the font style of a font using its name.

Parameters:
  `fontName` - the font name
Returns:
  "normal" or "italic"

#### guessWeight

    public static int guessWeight(String fontName)

Guesses the font weight of a font using its name.

Parameters:
  `fontName` - the font name
Returns:
  an integer between 100 and 900